package com.halo.halojuhesdk.core.channel;


import com.halo.halojuhesdk.core.common.utils.Config;
import com.halo.halojuhesdk.sdk.HlAdClient;

public class ChannelInitAdapter {
    public static String api = "com.halomobi.sdk.HaloAdSdk";
    public static String max = "com.applovin.sdk.AppLovinSdk";
    /**
     * 检查当前sdk 的接入情况
     */
    public boolean verifyInitClass(Config.JuHeAdType platform) {
        try {
            if (HlAdClient.mTypeList.contains(platform)) {
                return true;
            }
            String initClass = mappingInitClass(platform);
            Class.forName(initClass);
            HlAdClient.mTypeList.add(platform);
//            Log.e("已接入SDK: " + platform + UbixConstant.PlatForm.getAdnName(platform));
            return true;
        } catch (Throwable e) {
//            ULog.exception(e);
        }
        return false;
    }


    public String mappingInitClass(Config.JuHeAdType platform) {
        switch (platform) {
            case API:
                return ChannelInitAdapter.api;
            case MAX:
                return ChannelInitAdapter.max;
            default:
                return null;
        }
    }
}
